<?php
/**
 * CSB V2-Payment Module version 1.10.0 for PrestaShop 1.5-1.7. Support contact : hotline-epaync@csb.nc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author    Lyra Network (http://www.lyra-network.com/)
 * @copyright 2014-2018 Lyra Network and contributors
 * @license   https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category  payment
 * @package   csb
 */

class CsbIframeModuleFrontController extends ModuleFrontController
{
    public $ssl = true;

    /**
     * @see FrontController::postProcess()
     */
    public function postProcess()
    {
        if (Configuration::get('CSB_CART_MANAGEMENT') != CsbTools::KEEP_CART) {
            if ($this->context->cart->id) {
                $this->context->cookie->csbCartId = (int)$this->context->cart->id;
            }

            if (isset($this->context->cookie->csbCartId)) {
                $this->context->cookie->id_cart = $this->context->cookie->csbCartId;
            }
        }

        $this->setTemplate(CsbTools::getTemplatePath('iframe/loader.tpl'));
    }
}
