/**
 * CSB V2-Payment Module version 1.10.0 for PrestaShop 1.5-1.7. Support contact : hotline-epaync@csb.nc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author    Lyra Network (http://www.lyra-network.com/)
 * @copyright 2014-2018 Lyra Network and contributors
 * @license   https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category  payment
 * @package   csb
 */

/**
 * Misc JavaScript functions.
 */

function csbAddMultiOption(first) {
    if (first) {
        $('#csb_multi_options_btn').hide();
        $('#csb_multi_options_table').show();
    }

    var timestamp = new Date().getTime();

    var rowTpl = $('#csb_multi_row_option').html();
    rowTpl = rowTpl.replace(/CSB_MULTI_KEY/g, '' + timestamp);

    $(rowTpl).insertBefore('#csb_multi_option_add');
}


function csbDeleteMultiOption(key) {
    $('#csb_multi_option_' + key).remove();

    if ($('#csb_multi_options_table tbody tr').length == 1) {
        $('#csb_multi_options_btn').show();
        $('#csb_multi_options_table').hide();
    }
}

function csbAddOneyOption(first) {
    if (first) {
        $('#csb_oney_options_btn').hide();
        $('#csb_oney_options_table').show();
    }

    var timestamp = new Date().getTime();

    var rowTpl = $('#csb_oney_row_option').html();
    rowTpl = rowTpl.replace(/CSB_ONEY_KEY/g, '' + timestamp);

    $(rowTpl).insertBefore('#csb_oney_option_add');
}


function csbDeleteOneyOption(key) {
    $('#csb_oney_option_' + key).remove();

    if ($('#csb_oney_options_table tbody tr').length == 1) {
        $('#csb_oney_options_btn').show();
        $('#csb_oney_options_table').hide();
    }
}

function csbAdditionalOptionsToggle(legend) {
    var fieldset = $(legend).parent();

    $(legend).children('span').toggleClass('ui-icon-triangle-1-e ui-icon-triangle-1-s');
    fieldset.find('section').slideToggle();
}

function csbCategoryTableVisibility() {
    var category = $('select#CSB_COMMON_CATEGORY option:selected').val();

    if (category == 'CUSTOM_MAPPING') {
        $('.csb_category_mapping').show();
        $('.csb_category_mapping select').removeAttr('disabled');
    } else {
        $('.csb_category_mapping').hide();
        $('.csb_category_mapping select').attr('disabled', 'disabled');
    }
}

function csbDeliveryTypeChanged(key) {
    var type = $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_type').val();

    if (type == 'RECLAIM_IN_SHOP') {
        $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_address').show();
        $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_zip').show();
        $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_city').show();
    } else {
        $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_address').val('');
        $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_zip').val('');
        $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_city').val('');

        $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_address').hide();
        $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_zip').hide();
        $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_city').hide();
    }

    var speed = $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_speed').val();
    if ((type == 'RECLAIM_IN_SHOP') && (speed == 'PRIORITY')) {
    	$('#CSB_ONEY_SHIP_OPTIONS_' + key + '_delay').show();
    } else {
    	$('#CSB_ONEY_SHIP_OPTIONS_' + key + '_delay').hide();
    }
}

function csbDeliverySpeedChanged(key) {
	var speed = $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_speed').val();
    var type = $('#CSB_ONEY_SHIP_OPTIONS_' + key + '_type').val();

    if ((type == 'RECLAIM_IN_SHOP') && (speed == 'PRIORITY')) {
    	$('#CSB_ONEY_SHIP_OPTIONS_' + key + '_delay').show();
    } else {
    	$('#CSB_ONEY_SHIP_OPTIONS_' + key + '_delay').hide();
    }
}

function csbRedirectChanged() {
    var redirect = $('select#CSB_REDIRECT_ENABLED option:selected').val();

    if (redirect == 'True') {
        $('#csb_redirect_settings').show();
        $('#csb_redirect_settings select, #csb_redirect_settings input').removeAttr('disabled');
    } else {
        $('#csb_redirect_settings').hide();
        $('#csb_redirect_settings select, #csb_redirect_settings input').attr('disabled', 'disabled');
    }
}

function csbOneyEnableOptionsChanged() {
    var enable = $('select#CSB_ONEY_ENABLE_OPTIONS option:selected').val();

    if (enable == 'True') {
        $('#csb_oney_options_settings').show();
        $('#csb_oney_options_settings select, #csb_oney_options_settings input').removeAttr('disabled');
    } else {
        $('#csb_oney_options_settings').hide();
        $('#csb_oney_options_settings select, #csb_oney_options_settings input').attr('disabled', 'disabled');
    }
}

function csbFullcbEnableOptionsChanged() {
    var enable = $('select#CSB_FULLCB_ENABLE_OPTS option:selected').val();

    if (enable == 'True') {
        $('#csb_fullcb_options_settings').show();
        $('#csb_fullcb_options_settings select, #csb_fullcb_options_settings input').removeAttr('disabled');
    } else {
        $('#csb_fullcb_options_settings').hide();
        $('#csb_fullcb_options_settings select, #csb_fullcb_options_settings input').attr('disabled', 'disabled');
    }
}

function csbHideOtherLanguage(id, name) {
    $('.translatable-field').hide();
    $('.lang-' + id).css('display', 'inline');

    $('.translation-btn button span').text(name);

    var id_old_language = id_language;
    id_language = id;

    if (id_old_language != id) {
        changeEmployeeLanguage();
    }
}
