{*
 * CSB V2-Payment Module version 1.10.0 for PrestaShop 1.5-1.7. Support contact : hotline-epaync@csb.nc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author    Lyra Network (http://www.lyra-network.com/)
 * @copyright 2014-2018 Lyra Network and contributors
 * @license   https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category  payment
 * @package   csb
 *}

{extends file='checkout/checkout.tpl'}
{block name='content'}
  <section id="content">
    <div class="row">
      <div class="col-md-8">
        <section id="csb_content" class="checkout-step -current">
          <h1 class="step-title h3">
            <span class="step-number"></span>
            {if isset($csb_params) && $csb_params.vads_action_mode == 'SILENT'}
              {l s='Payment processing' mod='csb'}
            {else}
              {l s='Redirection to payment gateway' mod='csb'}
            {/if}
          </h1>

          <div class="content">
            <form action="{$csb_url|escape:'html':'UTF-8'}" method="post" id="csb_form" name="csb_form" onsubmit="csbDisablePayment();">
              {foreach from=$csb_params key='key' item='value'}
                <input type="hidden" name="{$key|escape:'html':'UTF-8'}" value="{$value|escape:'html':'UTF-8'}" />
              {/foreach}

              <p>
                <img src="{$csb_logo|escape:'html':'UTF-8'}" alt="CSB" style="margin-bottom: 5px" />
                <br />

                {if $csb_params.vads_action_mode == 'SILENT'}
                  {l s='Please wait a moment. Your order payment is now processing.' mod='csb'}
                {else}
                  {l s='Please wait, you will be redirected to the payment gateway.' mod='csb'}
                {/if}

                <br /> <br />
                {l s='If nothing happens in 10 seconds, please click the button below.' mod='csb'}
                <br /><br />
              </p>

              <p class="cart_navigation clearfix">
                <button type="submit" id="csb_submit_payment" class="button btn btn-default standard-checkout button-medium" >
                  <span>{l s='Pay' mod='csb'}</span>
                </button>
              </p>
            </form>
          </div>
        </section>
      </div>

       <div class="col-md-4">
      </div>
    </div>

    <script type="text/javascript">
      function csbDisablePayment() {
        document.getElementById('csb_submit_payment').disabled = true;
      }

      function csbSubmitForm() {
        document.getElementById('csb_submit_payment').click();
      }

      if (window.addEventListener) { // for most browsers
        window.addEventListener('load', csbSubmitForm, false);
      } else if (window.attachEvent) { // for IE 8 and earlier versions
        window.attachEvent('onload', csbSubmitForm);
      }
    </script>
  </section>
{/block}