{*
 * CSB V2-Payment Module version 1.10.0 for PrestaShop 1.5-1.7. Support contact : hotline-epaync@csb.nc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author    Lyra Network (http://www.lyra-network.com/)
 * @copyright 2014-2018 Lyra Network and contributors
 * @license   https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category  payment
 * @package   csb
 *}

{if version_compare($smarty.const._PS_VERSION_, '1.6', '>=')}
<div class="row"><div class="col-xs-12{if version_compare($smarty.const._PS_VERSION_, '1.6.0.11', '<')} col-md-6{/if}">
{/if}

{if {$csb_multi_options|@count} == 1 AND ($csb_multi_card_mode == 1)}
  <div class="payment_module csb {$csb_tag|escape:'html':'UTF-8'} multi">
    {foreach from=$csb_multi_options key="key" item="option"}
      <a href="javascript: $('#csb_opt').val('{$key|escape:'html':'UTF-8'}'); $('#csb_multi').submit();"
         title="{l s='Click to pay in installments' mod='csb'}">

        <img class="logo" src="{$csb_logo|escape:'html':'UTF-8'}" alt="CSB" />{$csb_title|escape:'html':'UTF-8'}
        ({$option.localized_label|escape:'html':'UTF-8'})

        <form action="{$link->getModuleLink('csb', 'redirect', array(), true)|escape:'html':'UTF-8'}" method="post" id="csb_multi">
          <input type="hidden" name="csb_payment_type" value="multi" />
          <input type="hidden" name="csb_opt" value="" id="csb_opt" />
        </form>
      </a>
    {/foreach}
  </div>
{else}
  <div class="payment_module csb {$csb_tag|escape:'html':'UTF-8'} multi">
    <a class="unclickable" title="{l s='Click on a payment option to pay in installments' mod='csb'}" href="javascript: void(0);">
      <img class="logo" src="{$csb_logo|escape:'html':'UTF-8'}" alt="CSB" />{$csb_title|escape:'html':'UTF-8'}

      <form action="{$link->getModuleLink('csb', 'redirect', array(), true)|escape:'html':'UTF-8'}" method="post" id="csb_multi">
        <input type="hidden" name="csb_payment_type" value="multi" />
        <input type="hidden" name="csb_opt" value="" id="csb_opt" />

        <br />
        {if $csb_multi_card_mode == 2}
          <p class="tip">{if $csb_avail_cards|@count == 1}{l s='Payment Mean' mod='csb'}{else}{l s='Choose your payment mean' mod='csb'}{/if}</p>

          {assign var=first value=true}
          {foreach from=$csb_avail_cards key="key" item="label"}
            <div style="display: inline-block;">
              {if $csb_avail_cards|@count == 1}
                <input type="hidden" id="csb_multi_card_type_{$key|escape:'html':'UTF-8'}" name="csb_card_type" value="{$key|escape:'html':'UTF-8'}" >
              {else}
                <input type="radio" id="csb_multi_card_type_{$key|escape:'html':'UTF-8'}" name="csb_card_type" value="{$key|escape:'html':'UTF-8'}" style="vertical-align: middle;"{if $first == true} checked="checked"{/if} >
              {/if}

              <label for="csb_multi_card_type_{$key|escape:'html':'UTF-8'}" style="display: inline;">
                {assign var=img_file value=$smarty.const._PS_MODULE_DIR_|cat:'csb/views/img/':{$key|lower|escape:'html':'UTF-8'}:'.png'}

                {if file_exists($img_file)}
                  <img src="{$base_dir_ssl|escape:'html':'UTF-8'}modules/csb/views/img/{$key|lower}.png"
                       alt="{$label|escape:'html':'UTF-8'}"
                       title="{$label|escape:'html':'UTF-8'}"
                       class="card">
                {else}
                  <span class="card">{$label|escape:'html':'UTF-8'}</span>
                {/if}
              </label>

              {assign var=first value=false}
            </div>
          {/foreach}
          <div style="margin-bottom: 12px;"></div>
        {/if}

        <p class="tip">{l s='Choose your payment option' mod='csb'}</p>
        <ul>
          {foreach from=$csb_multi_options key="key" item="option"}
            <li onclick="javascript: $('#csb_opt').val('{$key|escape:'html':'UTF-8'}'); $('#csb_multi').submit();">
              {$option.localized_label|escape:'html':'UTF-8'}
            </li>
          {/foreach}
        </ul>
      </form>
    </a>
  </div>
{/if}

{if version_compare($smarty.const._PS_VERSION_, '1.6', '>=')}
</div></div>
{/if}
