{*
 * CSB V2-Payment Module version 1.10.0 for PrestaShop 1.5-1.7. Support contact : hotline-epaync@csb.nc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/afl-3.0.php
 *
 * @author    Lyra Network (http://www.lyra-network.com/)
 * @copyright 2014-2018 Lyra Network and contributors
 * @license   https://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 * @category  payment
 * @package   csb
*}

{if version_compare($smarty.const._PS_VERSION_, '1.6', '>=')}
<div class="row"><div class="col-xs-12{if version_compare($smarty.const._PS_VERSION_, '1.6.0.11', '<')} col-md-6{/if}">
{/if}

<div class="payment_module csb {$csb_tag|escape:'html':'UTF-8'}">
  <a href="javascript: void(0);" title="{l s='Click here to pay by credit card' mod='csb'}" id="csb_standard_link">
    <img class="logo" src="{$csb_logo|escape:'html':'UTF-8'}" alt="CSB" />{$csb_title|escape:'html':'UTF-8'}
    <br />

    <div class="csb-iframe" id="csb_iframe_overlay" style="display: none;"></div>

    <div class="csb-iframe" id="csb_iframe_actions" style="display: none;">
      <a>{l s='< Cancel and return to payment choice' mod='csb'}</a>
    </div>

    <iframe class="csb-iframe" id="csb_iframe" src="{$link->getModuleLink('csb', 'iframe', ['content_only' => 1], true)|escape:'html':'UTF-8'}" style="display: none;">
    </iframe>

    <div class="csb-iframe" id="csb_iframe_warn" style="display: none;">
      {l s='Please do not refresh the page until you complete payment.' mod='csb'}
    </div>
  </a>

  <script type="text/javascript">
    var done = false;
    function csbShowIframe() {
      if (done) {
        return;
      }

      done = true;

      $('#csb_iframe').parent().addClass('unclickable');
      $('.csb-iframe').show();

      var url = "{$link->getModuleLink('csb', 'redirect', ['content_only' => 1], true)|escape:'url':'UTF-8'}";
      $('#csb_iframe').attr('src', decodeURIComponent(url));
    }

    function csbHideIframe() {
      done = false;

      $('#csb_iframe').parent().removeClass('unclickable');
      $('.csb-iframe').hide();

      var url = "{$link->getModuleLink('csb', 'iframe', ['content_only' => 1], true)|escape:'url':'UTF-8'}";
      $('#csb_iframe').attr('src', decodeURIComponent(url));
    }

    $(function() {
      $('#csb_standard_link').click(csbShowIframe);
      $('#csb_iframe_actions a').click(csbHideIframe);
    });
  </script>
</div>

{if version_compare($smarty.const._PS_VERSION_, '1.6', '>=')}
</div></div>
{/if}
